xine-lib: xine-lib-1.2.13/src/xine-engine/resample.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions
resample.c File Reference
`#include <string.h>`
`#include <inttypes.h>`
`#include <xine/attributes.h>`
`#include <xine/resample.h>`

## Functions
void | _x_audio_out_resample_mono (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_stereo (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_4channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_5channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_6channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_8to16 (int8_t *input_samples, int16_t *output_samples, uint32_t samples)
void | _x_audio_out_resample_16to8 (int16_t *input_samples, int8_t *output_samples, uint32_t samples)
void | _x_audio_out_resample_monotostereo (int16_t *input_samples, int16_t *output_samples, uint32_t frames)
void | _x_audio_out_resample_stereotomono (int16_t *input_samples, int16_t *output_samples, uint32_t frames)

## Function Documentation

## ◆ _x_audio_out_resample_16to8()

void _x_audio_out_resample_16to8 | ( | int16_t * | input_samples,
|  | int8_t * | output_samples,
|  | uint32_t | samples )

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_4channel()

void _x_audio_out_resample_4channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples )

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_5channel()

void _x_audio_out_resample_5channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples )

## ◆ _x_audio_out_resample_6channel()

void _x_audio_out_resample_6channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples )

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_8to16()

void _x_audio_out_resample_8to16 | ( | int8_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | samples )

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_mono()

void _x_audio_out_resample_mono | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples )

Referenced by prepare_samples(), and stretch_process_fragment().

## ◆ _x_audio_out_resample_monotostereo()

void _x_audio_out_resample_monotostereo | ( | int16_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | frames )

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_stereo()

void _x_audio_out_resample_stereo | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples )

Referenced by prepare_samples(), and stretch_process_fragment().

## ◆ _x_audio_out_resample_stereotomono()

void _x_audio_out_resample_stereotomono | ( | int16_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | frames )

Referenced by prepare_samples().